### Signal

# Shell EdgeDragGesture::progress

#### Declaration

    void
    progress (
      ShellEdgeDragGesture* self,
      gfloat progress_px,
      gpointer user_data
    )

#### Description [src]

The ::progress signal is emitted when the edge drag has moved.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.

#### Parameters

`progress_px`

  Type: `gfloat`

  The progress of the gesture in pixels in the selected direction.